PHP Manual
Prev |  | Next

# mysqli_free_result

(PHP 5)

mysqli_free_result

(no version information, might be only in CVS)

result->free() -- Frees the memory associated with a result

## Description

Procedural style:

void mysqli_free_result ( mysqli_result result )

Object oriented style (all methods are equivalent):

class mysqli_result {
void free ( void )
void close ( void )
void free_result ( void )
}

Frees the memory associated with the result.

> Note: You should always free your result with mysqli_free_result(), when your result object is not needed anymore.

## Parameters

`result`

  Procedural style only: A result set identifier returned by mysqli_query(), mysqli_store_result() or mysqli_use_result().

## Return Values

No value is returned.

## See Also

mysqli_query()
mysqli_stmt_store_result()
mysqli_store_result()
mysqli_use_result()

Prev | Home | Next
mysqli_field_tell | Up | mysqli_get_charset